OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
oms::CSVWriter Class Reference

`#include <CSVWriter.h>`

Inheritance diagram for oms::CSVWriter:
[legend]
Collaboration diagram for oms::CSVWriter:
[legend]

## Public Member Functions
| CSVWriter (unsigned int bufferSize)
| ~CSVWriter ()
Public Member Functions inherited from oms::ResultWriter
| ResultWriter (unsigned int bufferSize)
virtual | ~ResultWriter ()
unsigned int | addSignal (const ComRef &name, const std::string &description, SignalType_t type)
void | addParameter (const ComRef &name, const std::string &description, SignalType_t type, SignalValue_t value)
bool | create (const std::string &filename, double startTime, double stopTime)
void | close ()
void | updateSignal (unsigned int id, SignalValue_t value)
void | emit (double time)

## Protected Member Functions
bool | createFile (const std::string &filename, double startTime, double stopTime)
void | closeFile ()
void | writeFile ()

## Private Attributes
FILE * | pFile

## Additional Inherited Members
Protected Attributes inherited from oms::ResultWriter
std::vector< Signal > | signals
std::vector< Parameter > | parameters
double * | data_2
unsigned int | bufferSize
unsigned int | nEmits

## Constructor & Destructor Documentation

## ◆ CSVWriter()

oms::CSVWriter::CSVWriter | ( | unsigned int | bufferSize | ) |

## ◆ ~CSVWriter()

oms::CSVWriter::~CSVWriter | ( |  | ) |

## Member Function Documentation

## ◆ closeFile()

void oms::CSVWriter::closeFile | ( |  | ) |
| protected virtual

Implements oms::ResultWriter.

## ◆ createFile()

bool oms::CSVWriter::createFile | ( | const std::string & | filename,
|  | double | startTime,
|  | double | stopTime
| ) |  |
| protected virtual

Implements oms::ResultWriter.

Here is the call graph for this function:

## ◆ writeFile()

void oms::CSVWriter::writeFile | ( |  | ) |
| protected virtual

Implements oms::ResultWriter.

Here is the call graph for this function:

## Member Data Documentation

## ◆ pFile

FILE* oms::CSVWriter::pFile
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/CSVWriter.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/CSVWriter.cpp